package routers

import (
	beego "github.com/beego/beego/v2/server/web"
	"github.com/beego/beego/v2/server/web/context/param"
)

func init() {

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/media:MediaController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/media:MediaController"],
        beego.ControllerComments{
            Method: "Count",
            Router: `/count`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/media:MediaController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/media:MediaController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("mediaType"),
				param.New("permissionIds"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/media:MediaController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/media:MediaController"],
        beego.ControllerComments{
            Method: "GetMedia",
            Router: `/media`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("mediaType"),
				param.New("mediaId"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/media:MediaController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/media:MediaController"],
        beego.ControllerComments{
            Method: "Search",
            Router: `/search`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("mediaType"),
				param.New("key"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/report:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/report:ReportController"],
        beego.ControllerComments{
            Method: "Count",
            Router: `/count`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/report:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/report:ReportController"],
        beego.ControllerComments{
            Method: "HotRanked",
            Router: `/hotRankedList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("permissionIds"),
				param.New("limit"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/report:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/report:ReportController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("permissionIds"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/report:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/report:ReportController"],
        beego.ControllerComments{
            Method: "GetPermissions",
            Router: `/permissionList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/report:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/report:ReportController"],
        beego.ControllerComments{
            Method: "PublishRanked",
            Router: `/publishRankedList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("limit"),
				param.New("week"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/report:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/report:ReportController"],
        beego.ControllerComments{
            Method: "GetReport",
            Router: `/report`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("reportId"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/report:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/report:ReportController"],
        beego.ControllerComments{
            Method: "Search",
            Router: `/search`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("key"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AnalystController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AnalystController"],
        beego.ControllerComments{
            Method: "AnalystDetail",
            Router: `/analystDetail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("analystId"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AnalystController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AnalystController"],
        beego.ControllerComments{
            Method: "AnalystList",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AnalystController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AnalystController"],
        beego.ControllerComments{
            Method: "MediaList",
            Router: `/mediaList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("mediaType"),
				param.New("analystId"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AnalystController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AnalystController"],
        beego.ControllerComments{
            Method: "AnalystReportList",
            Router: `/reportList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("analystName"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AuthController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AuthController"],
        beego.ControllerComments{
            Method: "AreaCodes",
            Router: `/areaCodes`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AuthController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AuthController"],
        beego.ControllerComments{
            Method: "Disclaimer",
            Router: `/disclaimer`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AuthController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AuthController"],
        beego.ControllerComments{
            Method: "Login",
            Router: `/login`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AuthController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AuthController"],
        beego.ControllerComments{
            Method: "Notice",
            Router: `/notice`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AuthController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AuthController"],
        beego.ControllerComments{
            Method: "RefreshToken",
            Router: `/refreshToken`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("code"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AuthController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AuthController"],
        beego.ControllerComments{
            Method: "SMSCode",
            Router: `/sendCode`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AuthController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:AuthController"],
        beego.ControllerComments{
            Method: "WXAppid",
            Router: `/wxAppid`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"],
        beego.ControllerComments{
            Method: "Get",
            Router: `/`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"],
        beego.ControllerComments{
            Method: "BindGzh",
            Router: `/bind_gzh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"],
        beego.ControllerComments{
            Method: "CheckFollowStatus",
            Router: `/checkFollowStatus`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("names"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"],
        beego.ControllerComments{
            Method: "Feedback",
            Router: `/feedback`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"],
        beego.ControllerComments{
            Method: "FollowAnalyst",
            Router: `/followAnalyst`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"],
        beego.ControllerComments{
            Method: "FollowAnalysts",
            Router: `/followAnalysts`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"],
        beego.ControllerComments{
            Method: "FollowingAnalystList",
            Router: `/followingAnalystList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"],
        beego.ControllerComments{
            Method: "FollowingAnalysts",
            Router: `/followingAnalysts`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("analystId"),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"],
        beego.ControllerComments{
            Method: "UnReadMessageList",
            Router: `/message`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"],
        beego.ControllerComments{
            Method: "Profile",
            Router: `/profile`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"],
        beego.ControllerComments{
            Method: "ReadMessage",
            Router: `/readMessage`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"],
        beego.ControllerComments{
            Method: "ReadMessages",
            Router: `/readMessages`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"] = append(beego.GlobalControllerRouter["eta/eta_mini_ht_api/controllers/user:UserController"],
        beego.ControllerComments{
            Method: "Notify",
            Router: `/wx/notify`,
            AllowHTTPMethods: []string{"get","post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
